xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- i : dvbsub_func_t, HashValue
- i_bits : dvbsub_func_t
- i_blocks_per_read : vcdplayer_s
- i_debug : vcdplayer_s
- i_entries : vcdplayer_s
- i_lid : vcdplayer_s
- i_lids : vcdplayer_s
- i_loop : vcdplayer_s
- i_lsn : vcdplayer_s
- i_mouse_button : vcd_input_plugin_s
- i_old_deinterlace : vcd_input_plugin_s
- i_old_still : vcd_input_plugin_s
- i_segments : vcdplayer_s
- i_still : vcdplayer_s
- i_track : vcdplayer_s
- i_tracks : vcdplayer_s
- iBlock : _GSL_Struct
- id : _ConstPtrNodeType, _FAST_INSTRUCTION, _INSTRUCTION, asmrp_sym_t, chunk_header_t, ebml_elem_s, id3v22_frame_header_t, id3v23_frame_header_t, id3v24_frame_header_t, id3v2_header_t, img_state_t, mpd_stream_info_t, mpeg2_fbuf_s, page_t, plugin_info_t, qt_trak, saved_show_t, sdpplin_stream_t, subtitle_clut_s, subtitle_object_s, vdec_hw_h264_pps_t, vdpau_func_t, vo_frame_s, window_def_s, xine_mutex_t
- id3v2_tag_size : demux_aac_t, xine_stream_private_st
- id_flag : xine_stream_private_st
- id_size : mpeg2_convert_init_s
- idcode : wvheader_t
- IDdest : _GMLINE
- identifier : audio_decoder_class_s, audio_driver_class_s, demux_class_s, input_class_s, post_class_s, spu_decoder_class_s, video_decoder_class_s, video_driver_class_s, xine_module_class_s
- idr_pic_id : slice_header, vdec_hw_h264_lps_t
- ids : plugin_catalog_s
- idx : avi_t, post_plugin_volnorm_s
- idx_grow : demux_avi_s
- iff_sub_type : demux_iff_t
- iff_type : demux_iff_t
- iflow : _GoomSL
- ifs_fx : _PLUGIN_INFO
- ifs_incr : _PLUGIN_INFO
- ignore_keyframes : demux_ogg_s
- ignore_last_track : cdrom_toc_t
- im : complex_s
- image : dec_data, demux_mng_t, jpeg_decoder_s, opengl_render_t, xshm_frame_t, xv_frame_t, xxmc_frame_t
- image16_9_zoom_x : vdr_input_plugin_s
- image16_9_zoom_y : vdr_input_plugin_s
- image4_3_zoom_x : vdr_input_plugin_s
- image4_3_zoom_y : vdr_input_plugin_s
- image_byte_order : xshm_driver_t
- ImageCodecBandDecompress : qtv_decoder_s
- ImageCodecBeginBand : qtv_decoder_s
- ImageCodecDrawBand : qtv_decoder_s
- ImageCodecEndBand : qtv_decoder_s
- ImageCodecGetCodecInfo : qtv_decoder_s
- ImageCodecInitialize : qtv_decoder_s
- ImageCodecPreDecompress : qtv_decoder_s
- img : decoded_picture, img_state_t, png_decoder_s, region_t, vos_grab_video_frame_s, xine_current_frame_data_s, xine_grab_video_frame_s
- img_buffer : w32v_decoder_s
- img_cpt : metronom_impl_t
- img_duration : metronom_impl_t, sputext_decoder_s
- img_size : vos_grab_video_frame_s, xine_current_frame_data_s
- img_state : mpeg2_video_decoder_s
- img_streams : vos_t
- in : vo_scale_map_t
- in0 : crypto_input_plugin_t
- in1 : demux_real_t, hls_input_plugin_s, mpd_input_plugin_s
- in2 : demux_real_t
- in_channels : aos_t, faad_decoder_t
- in_comment : lexer
- in_disc : xine_nbc_fifo_info_t
- in_fmt : _DS_AudioDecoder, _IAudioDecoder
- in_mode : faad_decoder_t
- in_slice : mpeg2dec_s, mpeg_parser_s
- inbuf : mad_decoder_s, v4l2_video_t
- incomplete_pic : vdpau_h264_decoder_s
- index : demux_flv_t, ff_vaapi_surface_s, jpeg_decoder_s, opengl2_driver_s, real_stream_t, test_input_plugin_t, v4l2_video_t, vaapi_accel_s, wvheader_t, xine_stream_private_st, xine_stree_t
- index_as : mpd_stream_info_t
- index_buf : bitplane_decoder_s
- index_buf_hist : bitplane_decoder_s
- index_entries : real_stream_t
- index_offset : rmff_prop_t
- index_p : mpd_stream_info_t
- index_r : mpd_stream_info_t
- index_start : demux_real_t
- indexes : demux_matroska_t
- indx_f : video_overlay_s
- indx_r : video_overlay_s
- info : fat_node_st, mpd_input_plugin_s, mpeg2dec_s, plugin_node_s, vdec_hw_h264_frame_t, vdec_hw_h264_sequence_t
- info_lock : xine_stream_private_st
- info_start : mrlp_t
- info_stop : mrlp_t
- information_string : vdpau_driver_t
- InFrameSize : qta_decoder_s
- INHERIT_IUNKNOWN() : IDMOQualityControl_vt, IDMOVideoOutputOptimizations_vt, IEnumDMO_vt, IMediaBuffer_vt, IMediaObject_vt, IMediaObjectInPlace_vt
- init : _VISUAL_FX, hls_input_plugin_s, mpd_input_plugin_s, mpd_stream_info_t, plugin_info_t, video_overlay_manager_s
- init_queue : vdpau_driver_t
- initalized : _IFS_DATA
- initDone : XineOpenGLView
- inited : openssl_class_t
- initial_buffer_fullness : asf_stream_extension_s
- initial_cpb_removal_delay_length_minus1 : hrd_parameters
- initial_value : xv_property_t
- initialColor : XineOpenGLView
- initialColorYUV : XineOpenGLView
- initialColorYUVIsSet : XineOpenGLView
- initialized : theora_decoder_s
- InitializeQTML : qta_decoder_s, qtv_decoder_s
- initTextures : XineOpenGLView
- initWithCoder: : XineOpenGLView
- initWithContentSize: : XineVideoWindow
- initWithFrame: : XineOpenGLView
- initWithFrame:pixelFormat: : XineOpenGLView
- input : aos_t, demux_aac_t, demux_ac3_t, demux_aiff_t, demux_asf_s, demux_aud_t, demux_avi_s, demux_cdda_t, demux_dts_t, demux_eawve_t, demux_film_t, demux_flac_s, demux_flac_t, demux_fli_t, demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_image_s, demux_ipmovie_t, demux_ivf_t, demux_matroska_t, demux_mng_t, demux_mpc_t, demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpeg_pes_s, demux_mpeg_s, demux_mpgaudio_t, demux_mve_t, demux_nsf_t, demux_nsv_t, demux_ogg_s, demux_playlist_t, demux_pva_t, demux_qt_t, demux_ra_t, demux_raw_dv_t, demux_real_t, demux_roq_t, demux_shn_t, demux_slave_t, demux_smjpeg_t, demux_snd_t, demux_sputext_t, demux_str_t, demux_ts_t, demux_tta_t, demux_vc1_es_t, demux_vmd_t, demux_voc_t, demux_vox_t, demux_vqa_t, demux_wav_t, demux_wv_t, demux_yuv4mpeg2_t, demux_yuv_frames_s, ebml_parser_s, mmal_frame_t, post_plugin_s, pvr_input_plugin_t, v4l_input_plugin_t, vdr_metronom_t, xine_set_v4l2_data_t
- input_bits : opengl2_driver_s
- input_buffer : mmal_decoder_s
- input_caps : xine_stream_private_st
- input_class : bluray_input_class_t, cdda_input_class_t, dvb_input_class_t, dvd_input_class_t, file_input_class_t, ftp_input_class_t, hls_input_class_t, http_input_class_t, input_plugin_s, mms_input_class_t, mpd_input_class_t, nfs_input_class_t, sftp_input_class_t, smb_input_class_t, test_input_class_t, vcd_input_class_s, vcd_input_class_t
- input_eof : rtp_input_plugin_t
- input_ids : post_plugin_s
- input_info : all_info_t
- input_length : demux_smjpeg_t
- input_normpos : demux_ts_media, extra_info_s
- input_offs : hls_input_plugin_s
- input_plugin : avformat_input_plugin_t, avio_input_plugin_t, bluray_input_plugin_t, cache_input_plugin_t, cdda_input_plugin_t, crypto_input_plugin_t, dvb_input_plugin_t, dvd_input_plugin_s, file_input_plugin_t, ftp_input_plugin_t, gnomevfs_input_t, hls_input_plugin_s, http_input_plugin_t, mms_input_plugin_t, mpd_input_plugin_s, net_input_plugin_t, nfs_input_plugin_t, pnm_input_plugin_t, pvr_input_plugin_t, rip_input_plugin_s, rtp_input_plugin_t, rtsp_input_plugin_t, smb_input_t, ssh_input_plugin_t, stdin_input_plugin_t, test_input_plugin_t, v4l2_input_plugin_t, v4l_input_plugin_t, vcd_input_plugin_s, vcd_input_plugin_t, vdr_input_plugin_s, xine_stream_s
- input_pool : mmal_decoder_s
- input_sample_rate : alsa_driver_s, esd_driver_s, jack_driver_s, oss_driver_s, sun_driver_s
- input_time : demux_ts_media, extra_info_s
- InputFormatInfo : qta_decoder_s
- insert : fifo_buffer_s
- insize : mad_decoder_s
- instance : dxr3_decoder_class_s, dxr3_driver_class_s, dxr3_spudec_class_s
- instr : _FastInstructionFlow, _GoomSL, _INSTRUCTION_FLOW
- intercept_frame : post_video_port_s
- intercept_ovl : post_video_port_s
- interface : rtp_input_plugin_t
- interface_version : scr_plugin_s
- interfaces : _CBaseFilter2, _CBaseFilter, _CMediaBuffer, _MemAllocator, CEnumMediaTypes, CEnumPins, CInputPin, CRemotePin2, CRemotePin
- interlace_start : _ZOOM_FILTER_FX_WRAPPER_DATA
- interlaced : xine_current_frame_data_s
- interleave : AnimHeader
- interleave_buffer : demux_film_t
- internal_key : fat_cfg_entry_t
- interpolate : transform_in_s
- interpolate_scanline : deinterlace_method_s
- intf : yuv2rgb_factory_impl_s, yuv2rgb_impl_s
- intl : real_stream_t
- intr_mutex : aos_t
- intr_num : aos_t
- intr_wake : aos_t
- intra_dc_precision : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- intra_quantizer_matrix : picture_s, xine_vld_frame_s
- intra_vlc_format : mpeg2_decoder_s, picture_s, xine_vld_frame_s
- intValue : YYSTYPE
- inuse : vcd_input_class_s
- invalid : extra_info_s
- inverse_motif : _CONV_DATA
- ip : vcd_input_class_s
- ip_pref : xine_private_t
- irrevocable_tickets : xine_ticket_private_t
- is_audio_frame : vmd_frame_t
- is_clone : cache_input_plugin_t
- is_current : xine_egl_t, xine_glx_t
- is_default : matroska_edition_t
- is_direct_rendering_disabled : ff_video_decoder_s
- is_display_initialized : mpeg2dec_s
- is_extern : _ExternalFunctionStruct
- is_first : vo_frame_s
- is_first_chunk : demux_nsv_t
- is_frame_needed : mpeg2dec_s
- is_free_bitrate : mpg_audio_frame_t
- is_ham : bitplane_decoder_s
- is_long_term : vdec_hw_h264_info_ref_frame_t
- is_mpeg1 : mpeg_parser_s
- is_netvdr : vdr_input_plugin_s
- is_opendml : avi_t
- is_paused : alsa_driver_s
- is_reference : vdec_hw_h264_frame_info_s, vdec_hw_h264_frame_int_s
- is_rtp : rtp_input_plugin_t
- is_sequence_needed : mpeg2dec_s, mpeg_parser_s
- is_ultravox : demux_nsv_t
- is_vdr : demux_mpeg_pes_s
- is_wait_for_ip_frames : mpeg2dec_s
- IsDiscontinuity : IMediaSample_vt
- isDiscontinuity : _CMediaSample
- isFullScreen : XineOpenGLView
- isFullScreenPrepared : XineOpenGLView
- IsPreroll : IMediaSample_vt
- isPreroll : _CMediaSample
- issued : xine_ticket_private_t
- IsSyncPoint : IMediaSample_vt
- isSyncPoint : _CMediaSample
- italic : cc_attribute_s
- italic_font : cc_config_s
- item_mrl : hls_input_plugin_s, mpd_input_plugin_s
- items : _cfg_cb_relay_t, hls_input_plugin_s, mpd_input_plugin_s, vdr_input_plugin_s
- iteration : demux_vmd_t, demux_vqa_t, fooaudio_decoder_s, nsf_decoder_s
- iv : _DMO_VideoDecoder, _DS_VideoDecoder, crypto_input_plugin_t
- iv_len : crypto_input_plugin_t
- ival : _PARAM